=== debian/changelog ===
rxpbench (22.10.0) unstable; urgency=medium

  * 22.10.0

 -- Mellanox Support <support@mellanox.com>  Fri, 01 Oct 2022 00:00:00 +0000
