=== debian/control ===
Source: rxpbench
Priority: optional
Maintainer: Networking Support  <networking-support@nvidia.com>
Build-Depends: debhelper (>= 9),
	       pkg-config,
	       libpcap0.8-dev
Standards-Version: 4.2.1
Rules-Requires-Root: binary-targets
Section: misc
Homepage: https://www.nvidia.com

Package: rxpbench
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nvidia Bluefield regex benchmarking tool.
 Accepts input from test files, pcaps, or live traffic and applies pattern
 matching rules defined by regular expressions.
 A direct comparison with the software based Hyperscan pattern matches is
 supported.
