=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DESTDIR=$(CURDIR)/debian/rxpbench
export PKG_CONFIG_PATH := $(PKG_CONFIG_PATH):/opt/mellanox/dpdk/lib/aarch64-linux-gnu/pkgconfig
export PKG_CONFIG_PATH := $(PKG_CONFIG_PATH):/opt/mellanox/doca/lib/aarch64-linux-gnu/pkgconfig
export PKG_CONFIG_PATH := $(PKG_CONFIG_PATH):/opt/mellanox/doca/lib/x86_64-linux-gnu/pkgconfig

%:
	dh $@

override_dh_auto_build:
	make

override_dh_auto_install:
	mkdir -p ${DESTDIR}/usr/bin
	cp -a build/rxpbench-static ${DESTDIR}/usr/bin/rxpbench
	cp rxpbench_match_comparison.py ${DESTDIR}/usr/bin/
#	cp -a build/rxpbench-shared ${DESTDIR}/usr/bin/rxpbench

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
